Subject: Re: Missing RFC editor commit

From: Russ Allbery <[email-masked]>
Date: Mon, 01 Jun 2009 14:18:43 -0700

Julien ÉLIE <[email-masked]> writes:

>           bar.isp.example was not a correct &lt;path-identity> for that
> -          source but simply that that identity did not match the
> +          source but simply that the identity did not match the
>           expectations of foo-news.)</t>
>
> Isn't there something better in English to say "that" in that case?
> Because we have in the same sentence "that source" and "the identity";
> it would be better to keep the meaning of "that identity".

It's a style thing, and I assume the RFC Editor uses a fairly
conservative English style that avoids all doubled words even when
grammatically correct.  "the" is sufficiently specific in English to
serve as "that" in a pinch, so I was okay with the change.

> @@ -986,8 +1010,7 @@
>             If it implements one of the mechanisms described in <xref
>             target="history" />, this means that it MUST reject any
>             article whose date falls outside the cutoff interval since it
> -            won't know whether such articles had been accepted previously
> -            or not.</t>
> +            won't know whether or not such articles had been accepted previously.</t>

> Is "or not" necessary?  Isn't "it won't know whether such articles" enough?
> (It happens twice in the text.)

It's not strictly necessary, but it doesn't hurt either.  It's better
than what it was, which had the "or not" at the end of the sentence.

> -              corresponding unique identifier of the other medium, but if
> -              not at least as a comment in the message.  This helps
> -              greatly with preventing loops.</t>
> +              corresponding unique identifier of the other
> +              medium. However, if it is not preserved in this way,
> +              then at least it should be preserved
> +              as a comment in the message.  This helps greatly with
> +              preventing loops.</t>

> Missing space before "However".

I'm pretty sure that the rendering process smashes my "traditional"
double-spacing for sentences anyway, so it ends up not mattering.

> @@ -2412,8 +2497,9 @@
>           <t>Additional media types are defined for improved
>           structuring, specification, and automated processing of
> -          control messages (<xref target="groupinfo" /> and <xref
> -          target="checkgroup" />).</t>
> +          control messages (Sections <xref target="groupinfo"
> +          format="counter" /> and <xref
> +          target="checkgroup" format="counter" />).</t>

> It makes me notice that there is an inconsistency between "(Section
> x.y)" and "(see Section x.y)" or equivalent in the RFC.  Most of the
> references use "see" but a few, like this one, do not.  Shouldn't it
> be homogenized?

This was one of the ones where I just left it at whatever the RFC Editor
did, since they seem to have some sort of policy and style guide for it.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>